Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved] Cant install steam
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gamers & Players
View previous topic :: View next topic  
Author Message
koltea
n00b
n00b


Joined: 27 Mar 2020
Posts: 4

PostPosted: Fri Mar 27, 2020 5:26 pm    Post subject: [solved] Cant install steam Reply with quote

i followed the guide here https://wiki.gentoo.org/wiki/Steam#External_repositories

here's what i did so far:
Code:
emerge -av dev-vcs/git

Code:
wget -P /etc/portage/repos.conf/ https://raw.githubusercontent.com/anyc/steam-overlay/master/steam-overlay.conf

Code:
emaint sync --repo steam-overlay

Code:
emerge --ask games-util/steam-meta


then i got some error

here is the error
Code:
!!! Couldn't download 'steam_1.0.0.59.tar.gz'. Aborting.
* Fetch failed for 'games-util/steam-launcher-1.0.0.59-r3', Log file:
*  '/var/tmp/portage/games-util/steam-launcher-1.0.0.59-r3/temp/build.log'

>>> Failed to emerge games-util/steam-launcher-1.0.0.59-r3, Log file:

>>>  '/var/tmp/portage/games-util/steam-launcher-1.0.0.59-r3/temp/build.log'


here is the build.log
Code:
>>> Downloading 'http://repo.steampowered.com/steam/pool/steam/s/steam/steam_1.0.0.59.tar.gz'
--2020-03-28 01:13:22--  http://repo.steampowered.com/steam/pool/steam/s/steam/steam_1.0.0.59.tar.gz
Resolving repo.steampowered.com... 104.17.141.86, 104.17.152.86
Connecting to repo.steampowered.com|104.17.141.86|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2020-03-28 01:13:23 ERROR 404: Not Found.

!!! Couldn't download 'steam_1.0.0.59.tar.gz'. Aborting.
 * Fetch failed for 'games-util/steam-launcher-1.0.0.59-r3', Log file:
 *  '/var/tmp/portage/games-util/steam-launcher-1.0.0.59-r3/temp/build.log'


Last edited by koltea on Thu Apr 02, 2020 10:44 pm; edited 1 time in total
Back to top
View user's profile Send private message
Amon2501
Tux's lil' helper
Tux's lil' helper


Joined: 12 Dec 2018
Posts: 93

PostPosted: Fri Mar 27, 2020 7:56 pm    Post subject: Reply with quote

Well that isnt the answer, but i can confirm this. Today i tried to install the Steam client for linux for the first time, using the instructions from Gentoo wiki, and got that error too.
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 16219

PostPosted: Sat Mar 28, 2020 12:23 am    Post subject: Reply with quote

It appears the overlay is out of date and refers to a file that has been withdrawn by the provider. You should notify the maintainer of the overlay.
Back to top
View user's profile Send private message
moult
Retired Dev
Retired Dev


Joined: 31 Mar 2008
Posts: 146
Location: Australia

PostPosted: Sat Mar 28, 2020 3:34 am    Post subject: Reply with quote

A quick workaround:

Code:

cd /var/lib/layman/steam-overlay/games-util/steam-launcher
cp steam-launcher-1.0.0.59-r3.ebuild steam-launcher-1.0.0.61.ebuild
 ebuild steam-launcher-1.0.0.61.ebuild digest
emerge --ask games-util/steam-launcher

_________________
thinkMoult - I write articles online. You might like some of them.
Planet Larry - do you write a blog and use Gentoo? Get your blog added to the Planet Larry Gentoo user blog aggregator!
Back to top
View user's profile Send private message
Chewi
Developer
Developer


Joined: 01 Sep 2003
Posts: 881
Location: Edinburgh, Scotland

PostPosted: Sat Mar 28, 2020 6:21 pm    Post subject: Reply with quote

Fixed!
Back to top
View user's profile Send private message
riowilliam80
n00b
n00b


Joined: 04 May 2020
Posts: 2
Location: United States

PostPosted: Sat May 09, 2020 3:37 pm    Post subject: How? Reply with quote

Fixed? How
I am getting same problem!
_________________
Rio Williams
Back to top
View user's profile Send private message
Banana
l33t
l33t


Joined: 21 May 2004
Posts: 686
Location: Germany

PostPosted: Sat May 09, 2020 5:25 pm    Post subject: Re: How? Reply with quote

riowilliam80 wrote:
Fixed? How
I am getting same problem!

I think that Chewi may be the maintainer and he fixed the overlay. Maybe a refresh of the overlay will help
_________________
My personal space
Back to top
View user's profile Send private message
Chewi
Developer
Developer


Joined: 01 Sep 2003
Posts: 881
Location: Edinburgh, Scotland

PostPosted: Sat May 09, 2020 11:03 pm    Post subject: Reply with quote

I updated the package to 1.0.0.62 before and that's still the latest now so it should work if you resync.
Back to top
View user's profile Send private message
ISHAIM
Apprentice
Apprentice


Joined: 08 Oct 2006
Posts: 157
Location: Chicago, IL

PostPosted: Fri Jul 03, 2020 3:28 pm    Post subject: Reply with quote

Chewi,

Code:
gentoo ~ # emerge -avt games-util/steam-launcher

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild  N    ~] games-util/steam-launcher-1.0.0.62::steam-overlay  USE="steamruntime" 2,930 KiB

Total: 1 package (1 new), Size of downloads: 2,930 KiB

Would you like to merge these packages? [Yes/No] y

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) games-util/steam-launcher-1.0.0.62::steam-overlay
>>> Downloading 'https://repo-steampowered-com.steamos.cloud/steam/pool/steam/s/steam/steam_1.0.0.62.tar.gz'
--2020-07-03 09:41:54--  https://repo-steampowered-com.steamos.cloud/steam/pool/steam/s/steam/steam_1.0.0.62.tar.gz
Resolving repo-steampowered-com.steamos.cloud... 35.199.185.163
Connecting to repo-steampowered-com.steamos.cloud|35.199.185.163|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2020-07-03 09:41:54 ERROR 404: Not Found.

!!! Couldn't download 'steam_1.0.0.62.tar.gz'. Aborting.
 * Fetch failed for 'games-util/steam-launcher-1.0.0.62', Log file:
 *  '/var/tmp/portage/games-util/steam-launcher-1.0.0.62/temp/build.log'

>>> Failed to emerge games-util/steam-launcher-1.0.0.62, Log file:

>>>  '/var/tmp/portage/games-util/steam-launcher-1.0.0.62/temp/build.log'

 * Messages for package games-util/steam-launcher-1.0.0.62:

 * Fetch failed for 'games-util/steam-launcher-1.0.0.62', Log file:
 *  '/var/tmp/portage/games-util/steam-launcher-1.0.0.62/temp/build.log'


Only 1.0.0.61 and 1.0.0.64 available at http://repo.steampowered.com/steam/pool/steam/s/steam/
_________________
http://isaiassifuentes.net


Last edited by ISHAIM on Fri Jul 03, 2020 8:10 pm; edited 1 time in total
Back to top
View user's profile Send private message
oktexan
n00b
n00b


Joined: 07 Jun 2004
Posts: 4

PostPosted: Fri Jul 03, 2020 7:33 pm    Post subject: Reply with quote

It seems to work by simply changing the ebuild to 1.0.0.64 ... essentially I did what moult said above and it installed ok.
Back to top
View user's profile Send private message
Chewi
Developer
Developer


Joined: 01 Sep 2003
Posts: 881
Location: Edinburgh, Scotland

PostPosted: Fri Jul 03, 2020 7:40 pm    Post subject: Reply with quote

Fixed again!
Back to top
View user's profile Send private message
ISHAIM
Apprentice
Apprentice


Joined: 08 Oct 2006
Posts: 157
Location: Chicago, IL

PostPosted: Fri Jul 03, 2020 8:07 pm    Post subject: Reply with quote

Chewi,

Thanks.

Code:
isaias@gentoo ~ $ emerge -avt steam-launcher
This action requires superuser access...
Would you like to add --pretend to options? [Yes/No] y

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild   R   ~] games-util/steam-launcher-1.0.0.64::steam-overlay  USE="steamruntime" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB

_________________
http://isaiassifuentes.net
Back to top
View user's profile Send private message
siva0k0m7
n00b
n00b


Joined: 09 Oct 2020
Posts: 1

PostPosted: Fri Oct 09, 2020 10:16 am    Post subject: Reply with quote

1.0.0.64 no longer available, need to update to 1.0.0.66
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gamers & Players All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum